org.apache.solr

## Class SolrJettyTestBase

- java.lang.Object
- - org.junit.Assert
  - - org.apache.lucene.util.LuceneTestCase
    - - org.apache.solr.SolrTestCaseJ4
      - - org.apache.solr.SolrJettyTestBase

- Direct Known Subclasses:
    RestTestBase

      public abstract class SolrJettyTestBase
      extends SolrTestCaseJ4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.SolrTestCaseJ4

      `SolrTestCaseJ4.CloudSolrClientBuilder, SolrTestCaseJ4.Doc, SolrTestCaseJ4.Fld, SolrTestCaseJ4.FldType, SolrTestCaseJ4.FVal, SolrTestCaseJ4.IRange, SolrTestCaseJ4.IVals, SolrTestCaseJ4.IValsPercent, SolrTestCaseJ4.SuppressObjectReleaseTracker, SolrTestCaseJ4.SuppressSSL, SolrTestCaseJ4.SVal, SolrTestCaseJ4.Vals, SolrTestCaseJ4.XmlDoc`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase

      `org.apache.lucene.util.LuceneTestCase.AwaitsFix, org.apache.lucene.util.LuceneTestCase.BadApple, org.apache.lucene.util.LuceneTestCase.Monster, org.apache.lucene.util.LuceneTestCase.Nightly, org.apache.lucene.util.LuceneTestCase.Slow, org.apache.lucene.util.LuceneTestCase.SuppressCodecs, org.apache.lucene.util.LuceneTestCase.SuppressFileSystems, org.apache.lucene.util.LuceneTestCase.SuppressFsync, org.apache.lucene.util.LuceneTestCase.SuppressReproduceLine, org.apache.lucene.util.LuceneTestCase.SuppressSysoutChecks, org.apache.lucene.util.LuceneTestCase.SuppressTempFileChecks, org.apache.lucene.util.LuceneTestCase.ThrowingRunnable, org.apache.lucene.util.LuceneTestCase.Weekly`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.solr.client.solrj.SolrClient` | `client`
    `static String` | `context`
    `static org.apache.solr.client.solrj.embedded.JettySolrRunner` | `jetty`
    `static int` | `port`

    - ### Fields inherited from class org.apache.solr.SolrTestCaseJ4

      `configString, CORE_PROPERTIES_FILENAME, DEFAULT_CONNECTION_TIMEOUT, DEFAULT_TEST_COLLECTION_NAME, DEFAULT_TEST_CORENAME, h, hdfsDataDir, initCoreDataDir, lrf, ONE_ONE, schemaString, solrClassRules, solrConfig, solrTestRules, sslConfig, SYSTEM_PROPERTY_SOLR_TESTS_MERGEPOLICY, SYSTEM_PROPERTY_SOLR_TESTS_MERGEPOLICYFACTORY, SYSTEM_PROPERTY_SOLR_TESTS_USEMERGEPOLICY, SYSTEM_PROPERTY_SOLR_TESTS_USEMERGEPOLICYFACTORY, testSolrHome, ZERO_ONE, ZERO_TWO`

    - ### Fields inherited from class org.apache.lucene.util.LuceneTestCase

      `assertsAreEnabled, classRules, DEFAULT_LINE_DOCS_FILE, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, LEAVE_TEMPORARY, MAYBE_CACHE_POLICY, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_MONSTER, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEST_ASSERTS_ENABLED, TEST_AWAITSFIX, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_WEEKLY, VERBOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrJettyTestBase()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `afterSolrJettyTestBase()`
    `static void` | `beforeSolrJettyTestBase()`
    `static void` | `cleanUpJettyHome(File solrHome)`
    `static org.apache.solr.client.solrj.embedded.JettySolrRunner` | `createJetty(String solrHome)`
    `static org.apache.solr.client.solrj.embedded.JettySolrRunner` | `createJetty(String solrHome, org.apache.solr.client.solrj.embedded.JettyConfig jettyConfig)`
    `static org.apache.solr.client.solrj.embedded.JettySolrRunner` | `createJetty(String solrHome, Properties nodeProperties, org.apache.solr.client.solrj.embedded.JettyConfig jettyConfig)`
    `static org.apache.solr.client.solrj.embedded.JettySolrRunner` | `createJetty(String solrHome, String configFile, String context)`
    `static org.apache.solr.client.solrj.embedded.JettySolrRunner` | `createJetty(String solrHome, String configFile, String schemaFile, String context, boolean stopAtShutdown, SortedMap<org.eclipse.jetty.servlet.ServletHolder,String> extraServlets)`
    `org.apache.solr.client.solrj.SolrClient` | `createNewSolrClient()` Create a new solr client.
    `org.apache.solr.client.solrj.SolrClient` | `getSolrClient()`
    `static void` | `initCore()`
    `static String` | `legacyExampleCollection1SolrHome()`
    `static void` | `setupJettyTestHome(File solrHome, String collection)`

    - ### Methods inherited from class org.apache.solr.SolrTestCaseJ4

      `add, addAndGetVersion, adoc, adoc, assertFailedU, assertFailedU, assertFieldValues, assertJQ, assertJQ, assertQ, assertQ, assertQEx, assertQEx, assertQEx, assertSolrInputFieldEquals, assertU, assertU, assertXmlFile, buildJettyConfig, buildUrl, chooseMPForMP, clearIndex, commit, compareSolrDocument, compareSolrDocumentList, compareSolrInputDocument, configset, copyMinConf, copyMinConf, copyMinFullSetup, copySolrHomeToTemp, createComparator, createComparator, createCore, createCoreContainer, createCoreContainer, createCoreContainer, createDefaultCoreContainer, createDoc, createSort, deleteAndGetVersion, deleteByQueryAndGetVersion, deleteCore, delI, delQ, doc, endTrackingSearchers, getClassName, getCloudSolrClient, getCloudSolrClient, getCloudSolrClient, getCloudSolrClient, getConcurrentUpdateSolrClient, getConcurrentUpdateSolrClient, getFile, getHttpSolrClient, getHttpSolrClient, getHttpSolrClient, getHttpSolrClient, getLBHttpSolrClient, getLBHttpSolrClient, getRootCause, getSchemaFile, getSimpleClassName, getSolrConfigFile, getWrappedException, hasInitException, hasInitException, ignoreException, indexDocs, initClassLogLevels, initCore, initCore, initCore, initMethodLogLevels, invertField, isSSLMode, JQ, json, json, json, jsonAdd, jsonDelId, jsonDelQ, map, newRandomConfig, optimize, params, postSetUp, preTearDown, randomDate, randomSkewedDate, randomXmlUsableUnicodeString, req, req, req, resetExceptionIgnores, resetFactory, restoreMethodLogLevels, sdoc, sdocs, setUp, setupNoCoreTest, setupTestCases, skewed, startTrackingSearchers, systemClearPropertySolrTestsMergePolicy, systemClearPropertySolrTestsMergePolicyFactory, systemSetPropertySolrTestsMergePolicy, systemSetPropertySolrTestsMergePolicyFactory, tearDown, teardownTestCases, TEST_HOME, TEST_PATH, toJSON, unchooseMPForMP, unIgnoreException, updateJ, useFactory, waitForWarming, whitespaceMockTokenizer, whitespaceMockTokenizer, writeCoreProperties, writeCoreProperties`

    - ### Methods inherited from class org.apache.lucene.util.LuceneTestCase

      `addVirusChecker, assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertFieldsEquals, assertFieldStatisticsEquals, assertNormsEquals, assertPointsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, closeAfterSuite, closeAfterTest, collate, createTempDir, createTempDir, createTempFile, createTempFile, dumpArray, dumpIterator, expectThrows, getBaseTempDirForTestClass, getDataInputStream, getDataPath, getOnlyLeafReader, getTestClass, getTestName, isTestThread, localeForLanguageTag, maybeChangeLiveIndexWriterConfig, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newDirectory, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMaybeVirusCheckingDirectory, newMaybeVirusCheckingFSDirectory, newMergePolicy, newMergePolicy, newMockDirectory, newMockDirectory, newMockDirectory, newMockFSDirectory, newMockFSDirectory, newSearcher, newSearcher, newSearcher, newStringField, newStringField, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, overrideDefaultQueryCache, overrideTestDefaultQueryCache, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, resetDefaultQueryCache, restoreCPUCoreCount, restoreIndexWriterMaxDocs, restoreSpins, runWithRestrictedPermissions, setIndexWriterMaxDocs, setupCPUCoreCount, setupSpins, slowFileExists, usually, usually, wrapReader`

    - ### Methods inherited from class org.junit.Assert

      `assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jetty

          public static org.apache.solr.client.solrj.embedded.JettySolrRunner jetty

    - #### port

          public static int port

    - #### client

          public static org.apache.solr.client.solrj.SolrClient client

    - #### context

          public static String context

  - ### Constructor Detail

    - #### SolrJettyTestBase

          public SolrJettyTestBase()

  - ### Method Detail

    - #### beforeSolrJettyTestBase

          public static void beforeSolrJettyTestBase()
                                              throws Exception

      Throws:
        `Exception`

    - #### createJetty

          public static org.apache.solr.client.solrj.embedded.JettySolrRunner createJetty(String solrHome,
                                                                                          String configFile,
                                                                                          String schemaFile,
                                                                                          String context,
                                                                                          boolean stopAtShutdown,
                                                                                          SortedMap<org.eclipse.jetty.servlet.ServletHolder,String> extraServlets)
                                                                                   throws Exception

      Throws:
        `Exception`

    - #### createJetty

          public static org.apache.solr.client.solrj.embedded.JettySolrRunner createJetty(String solrHome,
                                                                                          String configFile,
                                                                                          String context)
                                                                                   throws Exception

      Throws:
        `Exception`

    - #### createJetty

          public static org.apache.solr.client.solrj.embedded.JettySolrRunner createJetty(String solrHome,
                                                                                          org.apache.solr.client.solrj.embedded.JettyConfig jettyConfig)
                                                                                   throws Exception

      Throws:
        `Exception`

    - #### createJetty

          public static org.apache.solr.client.solrj.embedded.JettySolrRunner createJetty(String solrHome)
                                                                                   throws Exception

      Throws:
        `Exception`

    - #### createJetty

          public static org.apache.solr.client.solrj.embedded.JettySolrRunner createJetty(String solrHome,
                                                                                          Properties nodeProperties,
                                                                                          org.apache.solr.client.solrj.embedded.JettyConfig jettyConfig)
                                                                                   throws Exception

      Throws:
        `Exception`

    - #### afterSolrJettyTestBase

          public static void afterSolrJettyTestBase()
                                             throws Exception

      Throws:
        `Exception`

    - #### getSolrClient

          public org.apache.solr.client.solrj.SolrClient getSolrClient()

    - #### createNewSolrClient

          public org.apache.solr.client.solrj.SolrClient createNewSolrClient()

      Create a new solr client. If createJetty was called, an http implementation will be created, otherwise an embedded implementation will be created. Subclasses should override for other options.

    - #### setupJettyTestHome

          public static void setupJettyTestHome(File solrHome,
                                                String collection)
                                         throws Exception

      Throws:
        `Exception`

    - #### cleanUpJettyHome

          public static void cleanUpJettyHome(File solrHome)
                                       throws Exception

      Throws:
        `Exception`

    - #### initCore

          public static void initCore()
                               throws Exception

      Throws:
        `Exception`

    - #### legacyExampleCollection1SolrHome

          public static String legacyExampleCollection1SolrHome()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.